跳至主要内容

此浏览器不再受支持。

请升级到 Microsoft Edge 以使用最新的功能、安全更新和技术支持。

下载 Microsoft Edge 有关 Internet Explorer 和 Microsoft Edge 的详细信息
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Create a memory item

POST /memory_stores/{name}/items

Creates a memory item in the specified memory store.

标头参数

Foundry-Features enum 必需

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

路径参数

name string 必需

The name of the memory store.

查询参数

api-version string 必需

The API version to use for this operation.

请求正文

Content-Type: application/json
scope string 必需

The namespace that logically groups and isolates memories, such as a user ID.

content string 必需

The content of the memory.

kind string | enum 必需

Memory item kind.

以下任何项:
string
enum
user_profilechat_summaryprocedural

响应

The request has succeeded.

正文

Content-Type: application/json
下列类型作之一:
user_profile UserProfileMemoryItem

A memory item specifically containing user profile information extracted from conversations, such as preferences, interests, and personal details.

kind enum 必需

The kind of the memory item.

user_profile
chat_summary ChatSummaryMemoryItem

A memory item containing a summary extracted from conversations.

kind enum 必需

The kind of the memory item.

chat_summary
procedural ProceduralMemoryItem

A memory item containing a procedure extracted from conversations.

kind enum 必需

The kind of the memory item.

procedural

Client error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

正文

Content-Type: application/json
error OpenAI.Error 必需
code string | null 必需
message string 必需
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何项:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必需

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

请求

POST /memory_stores/{name}/items HTTP/1.1

响应

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-cn
你的隐私选择
  • AI 免责声明
  • 早期版本
  • 博客
  • 参与
  • 隐私
  • 消费者健康隐私
  • 使用条款
  • 商标
  • © Microsoft 2026